Subject: Re: Appeal from Tim McSweeney regarding draft-mcsweeney-drop-scheme

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:02:16 -0500 (EST)

text version:
Sorry, this was supposed to go over here. I don't want anyone to miss out on this info.

Alissa, remember when I sent you that email on the 7/3 (below). I wanted to make sure the IESG members saw that last paragraph of RFC3405 section 5.

"The logical conclusion of this is that ANY
sanctioned URI scheme or URN namespace MUST be allowed to be
registered if it meets the requirements specified in this document as
regards times to live and general impact to the DNS."

But your detailed decision says

"Simply put, registration into URI.ARPA is not possible at present because of the oversight
described above, even if the URI scheme being registered is not provisional. This is not merely
because this particular application is ineligible, but rather because, at present, none are."

That to me sounds like a broken process....like it says in my appeal for a broken processes rfc2026#section-6.5.2

******
(begin email)

Alissa, 
Because at this time I am unaware of what information the IESG will be using in its discussion, I would like to add the URI.ARPA Submission Procedures.
< https://tools.ietf.org/html/rfc3405>

With particular attention to the last paragraph of Section 5:
< https://tools.ietf.org/html/rfc3405#section-5>

5. Submission Procedure
Using the MIME Content-Type registration mechanism [8] as a model
for a successful registration mechanism, the 'URI.ARPA' and
'URN.ARPA' procedures consist of a request template submitted to an
open mailing list made up of interested parties. If no objections
are made within a two week period, a representative of the
registration authority considers the submission to be accepted and
enters that submission into the nameserver.

o Registrations for the 'URI.ARPA' zone are sent to
[email-masked]'.
o Registrations for the 'URN.ARPA' zone are sent to
[email-masked]'.
The registration authority is the Internet Assigned Numbers
Authority (IANA).

Objections are restricted to those that point out impacts on the zone
itself or to DNS in general. Objections to the URI scheme or to the
URN namespace-id are not allowed, as these should be raised in their
respective forums. The logical conclusion of this is that ANY
sanctioned URI scheme or URN namespace MUST be allowed to be
registered if it meets the requirements specified in this document as
regards times to live and general impact to the DNS.

Thank you, 
Tim

> On 07/28/2020 6:01 PM Timothy Mcsweeney <[email-masked]> wrote:
> 
> 
> Sorry, this was supposed to go over here. I don't want anyone to miss out on this info.
> 
> Alissa, remember when I sent you that email on the 7/3 (below). I wanted to make sure the IESG members saw that last paragraph of RFC3405 section 5.
> 
> "The logical conclusion of this is that ANY 
> sanctioned URI scheme or URN namespace MUST be allowed to be 
> registered if it meets the requirements specified in this document as 
> regards times to live and general impact to the DNS."
> 
> 
> But your detailed decision says
> 
> "Simply put, registration into URI.ARPA is not possible at present because of the oversight 
> described above, even if the URI scheme being registered is not provisional. This is not merely 
> because this particular application is ineligible, but rather because, at present, none are."
> 
> That to me sounds like a broken process....like it says in my appeal for a broken processes rfc2026#section-6.5.2
> 
> 
> 
> ******
> (begin email)
> 
> Alissa, 
> Because at this time I am unaware of what information the IESG will be using in its discussion, I would like to add the URI.ARPA Submission Procedures. 
> < https://tools.ietf.org/html/rfc3405>
> 
> With particular attention to the last paragraph of Section 5: 
> < https://tools.ietf.org/html/rfc3405#section-5>
> 
> 5. Submission Procedure 
> Using the MIME Content-Type registration mechanism [8] as a model 
> for a successful registration mechanism, the 'URI.ARPA' and 
> 'URN.ARPA' procedures consist of a request template submitted to an 
> open mailing list made up of interested parties. If no objections 
> are made within a two week period, a representative of the 
> registration authority considers the submission to be accepted and 
> enters that submission into the nameserver.
> 
> o Registrations for the 'URI.ARPA' zone are sent to 
> [email-masked]'.
> o Registrations for the 'URN.ARPA' zone are sent to 
> [email-masked]'. 
> The registration authority is the Internet Assigned Numbers 
> Authority (IANA).
> 
> Objections are restricted to those that point out impacts on the zone 
> itself or to DNS in general. Objections to the URI scheme or to the 
> URN namespace-id are not allowed, as these should be raised in their 
> respective forums. The logical conclusion of this is that ANY 
> sanctioned URI scheme or URN namespace MUST be allowed to be 
> registered if it meets the requirements specified in this document as 
> regards times to live and general impact to the DNS.
> 
> Thank you, 
> Tim

---

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 12:13:59 -0500 (EST)

> On 08/27/2020 4:10 PM Timothy Mcsweeney <[email-masked]> wrote:
> 
> 
> 
> > On 08/27/2020 12:34 PM Rich Kulawiec <[email-masked]> wrote:
> > 
> > 
> > but one day something will come along that supplants it.
> 
> It's going to happen sooner than you think Rich.
> 
>